Subject: Re: bug#23529: Request for fixing randomize_va_space build issues

From: Andreas Schwab <[email-masked]>
Date: Fri, 09 Sep 2016 20:29:30 +0200

On Sep 09 2016, Eli Zaretskii <[email-masked]> wrote:

> defsubr does that, but fixing the address of the function after
> loading the dumped data is also very simple: for each defsubr, rewrite
> its function pointer.

Function pointers are difficult to handle, especially on architectures
that use function descriptors.  That's why the "portable" dumper of
xemacs doesn't work on ia64: it lumps together function and data
pointers.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."